INTERFACE
SUBROUTINE ESPAREORD(KFLEV,PSPFILE,PSPBUF,LD_FILE_TO_MODEL)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NSMAX ,NMSMAX ,NSEFRE ,NSPEC2G
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPFILE(KFLEV,NSEFRE)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPBUF(KFLEV,NSPEC2G)
LOGICAL ,INTENT(IN) :: LD_FILE_TO_MODEL
END SUBROUTINE ESPAREORD
END INTERFACE
